Subject: bug#21123: closed (Re: bug#21123: emacsclient silently eats keys on startup)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Sep 2019 22:38:02 +0000

Your bug report

#21123: emacsclient silently eats keys on startup

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21123: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21123
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21123: emacsclient silently eats keys on startup
From: Stefan Kangas <[email-masked]>
To: Marcin Borkowski <[email-masked]>
Cc: Andreas Schwab <[email-masked]>, William G Hatch <[email-masked]>, [email-masked]
Date: Mon, 30 Sep 2019 00:37:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marcin Borkowski <[email-masked]> writes:

> On 2015-07-24, at 09:17, William G Hatch <[email-masked]> wrote:
>
>> On Fri, Jul 24, 2015 at 09:08:17AM +0200, Andreas Schwab wrote:
>>>William Hatch <[email-masked]> writes:
>>>
>>>> When emacsclient is launched with -t (terminal mode), there is a short time
>>>> when I press keys and they have no effect.
>>>
>>>How short is that time?  I couldn't reproduce it when trying this:
>>>
>>>$ sleep 5; emacsclient -t
>>>
>>>and then starting to type ahead.
>>
>> Interestingly I can't reproduce it that way either... so maybe it has to be at
>> the exact time emacs is starting up.  On a new machine locally I have to be
>> pretty quick to reproduce it, but it's still something I'll occasionally accidentally
>> do, but it happens more often over ssh.  It seems to happen during the time that
>> emacsclient still shows the scratch buffer but before it opens up the file I tell
>> it to open.  But the keys don't go to the scratch buffer either, so I'm not sure
>> what's going on.
>>
>> It's hard to get to work with an empty init file -- it happens more when
>> there are mode hooks or something that run when emacsclient opens a file.
>
> Hi,
>
> just asking: does this persist?  If yes, can you give a recipe for
> reproducing it, possibly starting with emacs -Q?

More information was requested, but none was given within 3 years, so
I'm closing this bug report.  If this is still an issue, please reopen
this bug report.

Best regards,
Stefan Kangas

Subject: emacsclient silently eats keys on startup
From: William Hatch <[email-masked]>
To: [email-masked]
Date: Thu, 23 Jul 2015 15:03:06 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

When emacsclient is launched with -t (terminal mode), there is a short time
when I press keys and they have no effect.  Most commonly this happens when
I open a file knowing that I want to search for something, so I immediately
type backslash (bound to evil-search-forward), then the text I want to
search for.  When the slash and potentially some of the search term are
eaten, strange things happen when emacs suddenly starts interpreting the
middle of this key sequence as the start of it.

This doesn't happen when emacs is started normally in a terminal.  One of
my favorite things about using a terminal is that I can type ahead when I
know what I'm doing, and I don't have to wait for the GUI to catch up to
me.  Emacsclient breaks this, and it is especially noticeable over ssh.  I
have confirmed that this happens with no init file, so I'm sure it's not
just something in my configuration.

Confirmed in emacs versions 24.5.50.1 and 25.0.50.1.

Thanks (emacs is the best),
William